# articles-icon

## Project setup
```
npm install --save article-icons-vue3
npm install --save @fortawesome/fontawesome-free
```
or
```
yarn add article-icons-vue3
```
## Adding fontawesome file to main.js
```
import '@fortawesome/fontawesome-free/css/all.css
```
## Basic Usage
```
<template>
  <ArticleIcon size="large" extension='.docx'  hascursorpointer:false
/>
<ArticleTextViewer :getmyArticle="getmyArticle"/>
<NoContent/>
</template>
<script>
import {ArticleIcon,ArticleTextViewer,NoContent} from '@aabid01/vue3-lib';
export default {
  components:{
    ArticleIcon,ArticleTextViewer,NoContent
  }
}
</script>
```